
#include "main.h"
#include <usart.h>
#include "sci.h"

//----- functions ----------------------------------------
void 	Sci_init(void) {
// 4800		103
	TXSTA  = 0b00000010 ;
	BAUDCON= 0b01000000 ;
	RCSTA  = 0b00000000 ;

	OpenUSART( 	USART_TX_INT_OFF  &	USART_RX_INT_OFF  &
             	USART_ASYNCH_MODE & 	USART_EIGHT_BIT   &
             	USART_CONT_RX     & 	USART_BRGH_LOW, 	103 );
}
//--------------------------------------------------------

void	Sci_put(unsigned char	c) {
  	while(BusyUSART());
	WriteUSART( c );
}
//--------------------------------------------------------

void	Sci_puts( const char	*s) {
	while( *s )	{ 
    	while(BusyUSART());
    	putcUSART(*(s++));
 	} 
}
//--------------------------------------------------------

void	Sci_puts_rom( const rom char *s) {
	while( *s )	{ 
    	while(BusyUSART());
    	putcUSART(*(s++));
 	} 
}
//--------------------------------------------------------

void	Sci_puts_rom_wait( const rom char *s) {
	while( *s )	{ 
    	while(BusyUSART());
    	putcUSART(*(s++));
 	}
	while(1) { 
		if (27u==Sci_get_wait() ) {
			if ('C'==Sci_get_wait() ) return;
		}
	}
}
//--------------------------------------------------------

int	Sci_get(void) {

}
//--------------------------------------------------------

unsigned char	Sci_get_wait(void) {
	while(!DataRdyUSART());	
	return getcUSART();    
}
//--------------------------------------------------------

