#ifndef sci_h
#define sci_h

//----- defines ------------------------------------------
#define SCI_

//----- functions ----------------------------------------
void 				Sci_init(void);
void				Sci_put(unsigned char);
void				Sci_puts( const char *s) ;
void				Sci_puts_rom( const rom char *s) ;
void				Sci_puts_rom_wait( const rom char *s);
// int				Sci_get(void);
unsigned char	Sci_get_wait(void);

//--------------------------------------------------------
#endif


// fosc=32MHz		high speed  FOSC / (16 * (spbrg + 1))
//						low  speed  FOSC / (64 * (spbrg + 1))
//-----------------------------------------------------
// low speed  500k / (spbrg + 1))
// baud		baud rate register (spbrg)	
//	1200		
// 2400		206
// 4800		103
// 9600		

// high speed  2M / (spbrg + 1))
// baud		baud rate register (spbrg)	
// 4800		
// 9600		206
// 19200		103
// 38400		51
// 57600		33
// 115200	16	
