#include <p18f4520.h>

#include "sampl.h"
//----- defines ------------------------------------------

//----- variables ----------------------------------------
unsigned char sampl_in;

//----- external variables -------------------------------
extern unsigned char predata[256];
extern unsigned char data[256];
extern unsigned char data2[256];
extern unsigned char prepek;
extern unsigned char datapek;
extern unsigned char inlevel;

//----- function prototypes-------------------------------
void sampl_get2pp(void);
void sampl_get2d(void);

//----- functions ----------------------------------------
void	Sampl_fast(unsigned char tl){
	unsigned char in;
	tl&=1;
	
//	~76000 samples/s
	Andi_fast_setup();
	
	ANDI_GO	// start conversion
	sampl_get2pp();

	prepek=0;
	datapek=0;

// fill pre trig buffer
	while(1){
		sampl_in=ADRESH;
		sampl_get2pp();
			/*
			predata[prepek++]=sampl_in;
			while( ANDI_BUSY );
			ANDI_GO	// start conversion
			*/
		if(prepek==0u) break;					
	}
	
	if(tl){
	// wait for highlevel
		while(1){
			sampl_in=ADRESH;
			sampl_get2pp();
			/*
			predata[prepek++]=sampl_in;
			while( ANDI_BUSY );
			ANDI_GO	// start conversion
			*/
			if( ADRESH<inlevel ) break;			
		}
	
	// wait for low(trig)level
		while(1){
			sampl_in=ADRESH;
			sampl_get2pp();
			/*
			predata[prepek++]=sampl_in;
			while( ANDI_BUSY );
			ANDI_GO	// start conversion
			*/
			if(ADRESH>inlevel) break;			
		}
	}	
	else {
	// wait for highlevel
		while(1){
			sampl_in=ADRESH;
			sampl_get2pp();
			/*
			predata[prepek++]=sampl_in;
			while( ANDI_BUSY );
			ANDI_GO	// start conversion
			*/
			if( ADRESH>inlevel ) break;			
		}
	
	// wait for low(trig)level
		while(1){
			sampl_in=ADRESH;
			sampl_get2pp(); 
			/*
			predata[prepek++]=sampl_in;
			while( ANDI_BUSY );
			ANDI_GO	// start conversion
			*/
			if(ADRESH<inlevel) break;			
		}
	}	
	
// sampling 1
	while(1){		
		while( ANDI_BUSY );
		ANDI_GO	// start conversion
		data[datapek++]=ADRESH;
		if(datapek==0u) break;			
	}
// sampling 2
	while(1){
		while( ANDI_BUSY );
		ANDI_GO	// start conversion
		data2[datapek++]=ADRESH;
		if(datapek==0u) break;			
	}
}  //sampl_get2d2
//--------------------------------------------------------

void	Sampl_slow(unsigned char tl, unsigned char delay) {

}
//--------------------------------------------------------

void sampl_get2pp(void) {
	predata[prepek++]=sampl_in;
	while( ANDI_BUSY );
	ANDI_GO	// start conversion
//	predata[prepek++]=ADRESH;
//	prepek++;
}
//--------------------------------------------------------

void sampl_get2d(void) {
		while( ANDI_BUSY );
		ANDI_GO	// start conversion
		data[datapek]=ADRESH;
		datapek++;
}
//--------------------------------------------------------

