#ifndef keyb_h
#define keyb_h

//----- defines ------------------------------------------
#define KEYB_DELAY		10u
#define KEYB_ESC_PORT	PORTEbits	
#define KEYB_ESC_BIT		RE2

// value= 0-127 for 0V to Vref
#define KEYB_IN_START	16u
#define KEYB_IN_END_1	32u	// mid= 24
#define KEYB_IN_END_2	48u	// mid= 40
#define KEYB_IN_END_3	64u	// mid= 56
#define KEYB_IN_END_4	80u	// mid= 72
#define KEYB_IN_END_5	96u	// mid= 88
#define KEYB_IN_END_6	112u	// mid= 104
#define KEYB_IN_END_7	127u	// mid= 120

#define KEYB_ESC (!KEYB_ESC_PORT.KEYB_ESC_BIT)

//----- functions ----------------------------------------
void 				Keyb_init(void);
//void 				Keyb_init_auto_txt(void);
unsigned char	Keyb_get(void);
unsigned char	Keyb_wait_n_get(void);
//unsigned char	Keyb_esc(void);

//--------------------------------------------------------
#endif
